--- tests/cxx/t-locale.cc.orig	2009-08-09 11:18:59.000000000 +0200
+++ tests/cxx/t-locale.cc	2009-08-09 11:21:24.000000000 +0200
@@ -17,6 +17,11 @@
 You should have received a copy of the GNU Lesser General Public License
 along with the GNU MP Library.  If not, see http://www.gnu.org/licenses/.  */
 
+#ifdef __INTEL_COMPILER
+/** @brief Replacement of unknown atomic function. Bug report submitted to Intel. */
+#define __sync_fetch_and_add(ptr,addend) _InterlockedExchangeAdd(const_cast<void*>(reinterpret_cast<volatile void*>(ptr)), addend);
+#endif
+
 #include <clocale>
 #include <iostream>
 #include <cstdlib>
